package com.ynet.life.perplat.html;

import com.ynet.gene.data.IndexedCollection;
import com.ynet.gene.data.KeyedCollection;
import com.ynet.gene.web.taskInfo.TaskGroup;
import com.ynet.life.base.LifeStandard;
import com.ynet.life.html.LifeJspContextServices;
import com.ynet.life.sujrb.base.PBBusinessInfo;
import com.ynet.life.sujrb.base.PBStandard;
import com.ynet.life.sujrb.vipclient.PBTaskInfo;
import java.text.SimpleDateFormat;
import java.util.Calendar;
import java.util.Date;
import java.util.GregorianCalendar;
import java.util.HashMap;
import java.util.Map;

/* loaded from: com_ynet_life_perplat_html.jar:com/ynet/life/perplat/html/PBJspContextServices.class */
public class PBJspContextServices extends LifeJspContextServices {
    private static final String DEFAULT_STYLE_PATH = "default";
    private static final String DEFAULT_FRAME_PAGE = "main.jsp";
    private static final String USER_STYLE_FIELD = "session_stylePath";
    private static final String USER_FRAME_FIELD = "session_framePage";
    private static final String ACCOUNT_FLAG = "1";
    private static final String RELATED_ACCOUNT_FLAG = "02";
    private StringBuffer labelTageBuffer = null;
    private StringBuffer stepNavItemBuffer = null;

    public String getCards(boolean related) {
        StringBuffer optionList = new StringBuffer();
        try {
            boolean isProtected = isProtected();
            IndexedCollection iCards = (IndexedCollection) getSessionContext().get("iCardInfo");
            for (int i = 0; i < iCards.size(); i++) {
                KeyedCollection kcoll = iCards.getElementAt(i);
                String cardType = (String) kcoll.getDataValue("cardType");
                if (related || !RELATED_ACCOUNT_FLAG.equals(cardType)) {
                    String cardNo = (String) kcoll.getDataValue("cardNo");
                    String accountType = (String) kcoll.getDataValue("accountType");
                    if (!accountType.equals("03")) {
                        String openNode = (String) kcoll.getDataValue("cardOpenNode");
                        String cardStatus = (String) kcoll.getDataValue("cardStatus");
                        String cardCategory = (String) kcoll.getDataValue("cardCategory");
                        String cardSeries = (String) kcoll.getDataValue("cardSeries");
                        String cardAlias = nvl((String) kcoll.getDataValue("cardAlias"), "");
                        optionList.append("<option value='");
                        optionList.append(cardNo).append("|");
                        optionList.append(accountType).append("|");
                        optionList.append(cardType).append("|");
                        optionList.append(openNode).append("|");
                        optionList.append(cardStatus).append("|");
                        optionList.append(cardCategory).append("|");
                        optionList.append(cardSeries);
                        optionList.append("'>");
                        optionList.append(protectAcc(cardNo, isProtected));
                        if (!cardAlias.trim().equalsIgnoreCase("")) {
                            optionList.append("[").append(cardAlias).append("]");
                        }
                        optionList.append("</option>");
                    }
                }
            }
            if (optionList.length() == 0 || optionList.equals("")) {
                optionList.append("<option>没有您需要的卡/账号</option>");
            }
            return optionList.toString();
        } catch (Exception e) {
            log(e);
            return "";
        }
    }

    public String getCards() {
        return getCards(true);
    }

    public String getCardsByType(String type) {
        return getCardsByType(type, true);
    }

    public String getCardsByType(String type, boolean related) {
        StringBuffer optionList = new StringBuffer();
        try {
            boolean isProtected = isProtected();
            IndexedCollection iCards = (IndexedCollection) getSessionContext().get("iCardInfo");
            for (int i = 0; i < iCards.size(); i++) {
                KeyedCollection kcoll = iCards.getElementAt(i);
                String accountType = (String) kcoll.getDataValue("accountType");
                if (accountType.equals(type)) {
                    String cardType = (String) kcoll.getDataValue("cardType");
                    if (related || !RELATED_ACCOUNT_FLAG.equals(cardType)) {
                        String cardNo = (String) kcoll.getDataValue("cardNo");
                        String openNode = (String) kcoll.getDataValue("cardOpenNode");
                        String cardStatus = (String) kcoll.getDataValue("cardStatus");
                        String cardCategory = (String) kcoll.getDataValue("cardCategory");
                        String cardSeries = (String) kcoll.getDataValue("cardSeries");
                        String cardAlias = nvl((String) kcoll.getDataValue("cardAlias"), "");
                        optionList.append("<option value='");
                        optionList.append(cardNo).append("|");
                        optionList.append(accountType).append("|");
                        optionList.append(cardType).append("|");
                        optionList.append(openNode).append("|");
                        optionList.append(cardStatus).append("|");
                        optionList.append(cardCategory).append("|");
                        optionList.append(cardSeries);
                        optionList.append("'>");
                        optionList.append(protectAcc(cardNo, isProtected));
                        if (!cardAlias.trim().equalsIgnoreCase("")) {
                            optionList.append("[").append(cardAlias).append("]");
                        }
                        optionList.append("</option>");
                    }
                }
            }
            if (optionList.length() == 0 || optionList.equals("")) {
                optionList.append("<option>没有您需要的卡/账号</option>");
            }
            return optionList.toString();
        } catch (Exception e) {
            log(e);
            return "";
        }
    }

    public boolean isSuperCreditCard(String accountNo) {
        String prefix = PBStandard.getAppDisplay("PB_SUPER_CREDIT_BIN", "0");
        if ("0".equals(prefix)) {
            return false;
        }
        String[] binArray = prefix.split("\\|");
        for (String bin : binArray) {
            if (accountNo.startsWith(bin)) {
                return true;
            }
        }
        return false;
    }

    public String getCardsByTypeAndPrefix(boolean flag, boolean typeFlag) {
        StringBuffer optionList = new StringBuffer();
        try {
            boolean isProtected = isProtected();
            IndexedCollection iCards = (IndexedCollection) getSessionContext().get("iCardInfo");
            for (int i = 0; i < iCards.size(); i++) {
                KeyedCollection kcoll = iCards.getElementAt(i);
                String accountType = (String) kcoll.getDataValue("accountType");
                if (typeFlag || "03".equals(accountType)) {
                    String cardType = (String) kcoll.getDataValue("cardType");
                    String cardNo = (String) kcoll.getDataValue("cardNo");
                    if ("03".equals(accountType)) {
                        if (flag) {
                            if (!isSuperCreditCard(cardNo)) {
                            }
                        } else if (isSuperCreditCard(cardNo)) {
                        }
                    }
                    String openNode = (String) kcoll.getDataValue("cardOpenNode");
                    String cardStatus = (String) kcoll.getDataValue("cardStatus");
                    String cardCategory = (String) kcoll.getDataValue("cardCategory");
                    String cardSeries = (String) kcoll.getDataValue("cardSeries");
                    String cardAlias = nvl(kcoll.getDataValue("cardAlias"), "");
                    optionList.append("<option value='");
                    optionList.append(cardNo).append("|");
                    optionList.append(accountType).append("|");
                    optionList.append(cardType).append("|");
                    optionList.append(openNode).append("|");
                    optionList.append(cardStatus).append("|");
                    optionList.append(cardCategory).append("|");
                    optionList.append(cardSeries);
                    optionList.append("'>");
                    optionList.append(protectAcc(cardNo, isProtected));
                    if (!cardAlias.trim().equalsIgnoreCase("")) {
                        optionList.append("[").append(cardAlias).append("]");
                    }
                    optionList.append("</option>");
                }
            }
            if (optionList.length() == 0 || optionList.equals("")) {
                optionList.append("<option>没有您需要的卡/账号</option>");
            }
            return optionList.toString();
        } catch (Exception e) {
            log(e);
            return "";
        }
    }

    public String getPayCardsByType(String type, String payType) {
        return getPayCardsByType(type, payType, true);
    }

    public String getPayCardsByType(String type, String payType, boolean related) {
        StringBuffer optionList = new StringBuffer();
        try {
            boolean isProtected = isProtected();
            IndexedCollection iCards = (IndexedCollection) getSessionContext().get("iCardInfo");
            String[] typeArr = type.split("\\|");
            String[] payTypeArr = payType.split("\\|");
            for (String valueone : typeArr) {
                for (int i = 0; i < iCards.size(); i++) {
                    KeyedCollection kcoll = iCards.getElementAt(i);
                    String accountType = (String) kcoll.getDataValue("accountType");
                    if (accountType.equals(valueone)) {
                        String cardType = (String) kcoll.getDataValue("cardType");
                        if (related || !RELATED_ACCOUNT_FLAG.equals(cardType)) {
                            String cardNo = (String) kcoll.getDataValue("cardNo");
                            String openNode = (String) kcoll.getDataValue("cardOpenNode");
                            String cardStatus = (String) kcoll.getDataValue("cardStatus");
                            String cardCategory = (String) kcoll.getDataValue("cardCategory");
                            String cardSeries = (String) kcoll.getDataValue("cardSeries");
                            String cardAlias = nvl(kcoll.getDataValue("cardAlias"));
                            String payFlag = (String) kcoll.getDataValue("cardFlag2");
                            for (String payTypeOne : payTypeArr) {
                                if (payFlag.equals(payTypeOne)) {
                                    optionList.append("<option value='");
                                    optionList.append(cardNo).append("|");
                                    optionList.append(accountType).append("|");
                                    optionList.append(cardType).append("|");
                                    optionList.append(openNode).append("|");
                                    optionList.append(cardStatus).append("|");
                                    optionList.append(cardCategory).append("|");
                                    optionList.append(cardSeries);
                                    optionList.append("'>");
                                    optionList.append(protectAcc(cardNo, isProtected));
                                    if (!cardAlias.trim().equalsIgnoreCase("")) {
                                        optionList.append("[").append(cardAlias).append("]");
                                    }
                                    optionList.append("</option>");
                                }
                            }
                        }
                    }
                }
            }
            if (optionList.length() == 0 || optionList.equals("")) {
                optionList.append("<option value='nocard'>没有您需要的卡/账号</option>");
            }
            return optionList.toString();
        } catch (Exception e) {
            log(e);
            return "";
        }
    }

    public String getDifferentMonth(int limit, String timeFormat) {
        String format = timeFormat == null ? "yyyyMMddHHmmss" : timeFormat;
        GregorianCalendar calendar = (GregorianCalendar) Calendar.getInstance();
        calendar.add(2, limit);
        return new SimpleDateFormat(format).format(calendar.getTime());
    }

    public String getCardsByOption(String value, String option) {
        return getCardsByOption(value, option, true);
    }

    public String getCardsByOption(String value, String option, boolean related) {
        StringBuffer optionList = new StringBuffer();
        try {
            boolean isProtected = isProtected();
            IndexedCollection iCards = (IndexedCollection) getSessionContext().get("iCardInfo");
            for (int i = 0; i < iCards.size(); i++) {
                KeyedCollection kcoll = iCards.getElementAt(i);
                if (((String) kcoll.getDataValue(option)).equals(value)) {
                    String cardType = (String) kcoll.getDataValue("cardType");
                    if (related || !RELATED_ACCOUNT_FLAG.equals(cardType)) {
                        String cardNo = (String) kcoll.getDataValue("cardNo");
                        String accountType = (String) kcoll.getDataValue("accountType");
                        String openNode = (String) kcoll.getDataValue("cardOpenNode");
                        String cardStatus = (String) kcoll.getDataValue("cardStatus");
                        String cardCategory = (String) kcoll.getDataValue("cardCategory");
                        String cardSeries = (String) kcoll.getDataValue("cardSeries");
                        String cardAlias = nvl((String) kcoll.getDataValue("cardAlias"), "");
                        optionList.append("<option value='");
                        optionList.append(cardNo).append("|");
                        optionList.append(accountType).append("|");
                        optionList.append(cardType).append("|");
                        optionList.append(openNode).append("|");
                        optionList.append(cardStatus).append("|");
                        optionList.append(cardCategory).append("|");
                        optionList.append(cardSeries);
                        optionList.append("'>");
                        optionList.append(protectAcc(cardNo, isProtected));
                        if (!cardAlias.trim().equalsIgnoreCase("")) {
                            optionList.append("[").append(cardAlias).append("]");
                        }
                        optionList.append("</option>");
                    }
                }
            }
            if (optionList.length() == 0 || optionList.equals("")) {
                optionList.append("<option>没有您需要的卡/账号</option>");
            }
            return optionList.toString();
        } catch (Exception e) {
            log(e);
            return "";
        }
    }

    public String getCardNoByFlag(String value, String option) {
        return getCardNoByFlag(value, option, true);
    }

    public String getCardNoByFlag(String value, String option, boolean related) {
        String cardNo = "";
        try {
            IndexedCollection iCards = (IndexedCollection) getSessionContext().get("iCardInfo");
            for (int i = 0; i < iCards.size(); i++) {
                KeyedCollection kcoll = iCards.getElementAt(i);
                if (((String) kcoll.getDataValue(option)).equals(value)) {
                    String cardType = (String) kcoll.getDataValue("cardType");
                    if (related || !RELATED_ACCOUNT_FLAG.equals(cardType)) {
                        cardNo = (String) kcoll.getDataValue("cardNo");
                    }
                }
            }
        } catch (Exception e) {
            log(e);
        }
        return cardNo;
    }

    public String getCardTypeByFlag(String value, String option) {
        return getCardTypeByFlag(value, option, true);
    }

    public String getCardTypeByFlag(String value, String option, boolean related) {
        String cardType = "";
        try {
            IndexedCollection iCards = (IndexedCollection) getSessionContext().get("iCardInfo");
            for (int i = 0; i < iCards.size(); i++) {
                KeyedCollection kcoll = iCards.getElementAt(i);
                if (((String) kcoll.getDataValue(option)).equals(value) && (related || !RELATED_ACCOUNT_FLAG.equals((String) kcoll.getDataValue("cardType")))) {
                    cardType = (String) kcoll.getDataValue("accountType");
                }
            }
        } catch (Exception e) {
            log(e);
        }
        return cardType;
    }

    public String getCardsByOptions(String value, String options) {
        return getCardsByOptions(value, options, true);
    }

    public String getCardsByOptions(String value, String options, boolean related) {
        StringBuffer optionList = new StringBuffer();
        try {
            boolean isProtected = isProtected();
            IndexedCollection iCards = (IndexedCollection) getSessionContext().get("iCardInfo");
            String[] valueArr = value.split("\\|");
            for (String valueone : valueArr) {
                for (int i = 0; i < iCards.size(); i++) {
                    KeyedCollection kcoll = iCards.getElementAt(i);
                    if (((String) kcoll.getDataValue(options)).equals(valueone)) {
                        String cardType = (String) kcoll.getDataValue("cardType");
                        if (related || !RELATED_ACCOUNT_FLAG.equals(cardType)) {
                            String cardNo = (String) kcoll.getDataValue("cardNo");
                            String accountType = (String) kcoll.getDataValue("accountType");
                            String openNode = (String) kcoll.getDataValue("cardOpenNode");
                            String cardStatus = (String) kcoll.getDataValue("cardStatus");
                            String cardCategory = (String) kcoll.getDataValue("cardCategory");
                            String cardSeries = (String) kcoll.getDataValue("cardSeries");
                            String cardAlias = nvl(kcoll.getDataValue("cardAlias"), "");
                            optionList.append("<option value='");
                            optionList.append(cardNo).append("|");
                            optionList.append(accountType).append("|");
                            optionList.append(cardType).append("|");
                            optionList.append(openNode).append("|");
                            optionList.append(cardStatus).append("|");
                            optionList.append(cardCategory).append("|");
                            optionList.append(cardSeries);
                            optionList.append("'>");
                            optionList.append(protectAcc(cardNo, isProtected));
                            if (!cardAlias.trim().equalsIgnoreCase("")) {
                                optionList.append("[").append(cardAlias).append("]");
                            }
                            optionList.append("</option>");
                        }
                    }
                }
                if (optionList.length() == 0 || optionList.equals("")) {
                    optionList.append("<option>没有您需要的卡/账号</option>");
                }
            }
            return optionList.toString();
        } catch (Exception e) {
            log(e);
            return "";
        }
    }

    public String getCardsByAccountType(String type) {
        return getCardsByAccountType(type, true);
    }

    public String getCardsByAccountType(String type, boolean related) {
        StringBuffer optionList = new StringBuffer();
        HashMap map = new HashMap();
        try {
            boolean isProtected = isProtected();
            IndexedCollection iCards = (IndexedCollection) getSessionContext().get("iCardInfo");
            IndexedCollection iAccounts = (IndexedCollection) getSessionContext().get("iAccountInfo");
            for (int i = 0; i < iAccounts.size(); i++) {
                KeyedCollection kcoll = iAccounts.getElementAt(i);
                if (((String) kcoll.getDataValue("session_accountType")).equals(type)) {
                    String cardNo = (String) kcoll.getDataValue("cardNo");
                    for (int k = 0; k < iCards.size(); k++) {
                        KeyedCollection kcollcard = iCards.getElementAt(k);
                        String cardType = (String) kcollcard.getDataValue("cardType");
                        if (related || !RELATED_ACCOUNT_FLAG.equals(cardType)) {
                            String cardNoc = (String) kcollcard.getDataValue("cardNo");
                            if (cardNoc.equals(cardNo) && !map.containsKey(cardNoc)) {
                                map.put(cardNoc, cardNoc);
                                String accountTypec = (String) kcollcard.getDataValue("accountType");
                                String openNode = (String) kcollcard.getDataValue("cardOpenNode");
                                String cardStatus = (String) kcollcard.getDataValue("cardStatus");
                                String cardCategory = (String) kcollcard.getDataValue("cardCategory");
                                String cardSeries = (String) kcollcard.getDataValue("cardSeries");
                                String cardAlias = nvl(kcollcard.getDataValue("cardAlias"), "");
                                optionList.append("<option value='");
                                optionList.append(cardNo).append("|");
                                optionList.append(accountTypec).append("|");
                                optionList.append(cardType).append("|");
                                optionList.append(openNode).append("|");
                                optionList.append(cardStatus).append("|");
                                optionList.append(cardCategory).append("|");
                                optionList.append(cardSeries);
                                optionList.append("'>");
                                optionList.append(protectAcc(cardNo, isProtected));
                                if (!cardAlias.trim().equalsIgnoreCase("")) {
                                    optionList.append("[").append(cardAlias).append("]");
                                }
                                optionList.append("</option>");
                            }
                        }
                    }
                }
            }
            if (optionList.length() == 0 || optionList.equals("")) {
                optionList.append("<option>无相应卡或账户</option>");
            }
            return optionList.toString();
        } catch (Exception e) {
            log(e);
            return "";
        }
    }

    public String getAccounts() {
        StringBuffer optionList = new StringBuffer();
        try {
            boolean isProtected = isProtected();
            IndexedCollection iAccounts = (IndexedCollection) getSessionContext().get("iAccountInfo");
            for (int i = 0; i < iAccounts.size(); i++) {
                KeyedCollection kcoll = iAccounts.getElementAt(i);
                String accountNo = (String) kcoll.getDataValue("session_accountNo");
                String accountType = (String) kcoll.getDataValue("session_accountType");
                String openNode = (String) kcoll.getDataValue("session_accountOpenNode");
                String accountAlias = nvl((String) kcoll.getDataValue("accountAlias"), "");
                optionList.append("<option value='");
                optionList.append(accountNo).append("|");
                optionList.append(accountType).append("|");
                optionList.append(openNode);
                optionList.append("'>");
                optionList.append(protectAcc(accountNo, isProtected));
                optionList.append("[").append(accountAlias).append("]");
                optionList.append("</option>");
            }
            if (optionList.length() == 0 || optionList.equals("")) {
                optionList.append("<option>没有您需要的卡/账号</option>");
            }
            return optionList.toString();
        } catch (Exception e) {
            log(e);
            return "";
        }
    }

    public String getAccountsByCard(String card) {
        StringBuffer optionList = new StringBuffer();
        try {
            boolean isProtected = isProtected();
            IndexedCollection iAccounts = (IndexedCollection) getSessionContext().get("iAccountInfo");
            for (int i = 0; i < iAccounts.size(); i++) {
                KeyedCollection kcoll = iAccounts.getElementAt(i);
                if (nvl((String) kcoll.getDataValue("cardNo"), "").equalsIgnoreCase(card)) {
                    String accountNo = (String) kcoll.getDataValue("session_accountNo");
                    String accountType = (String) kcoll.getDataValue("session_accountType");
                    String openNode = (String) kcoll.getDataValue("session_accountOpenNode");
                    String accountAlias = nvl((String) kcoll.getDataValue("accountAlias"), "");
                    optionList.append("<option value='");
                    optionList.append(accountNo).append("|");
                    optionList.append("1|");
                    optionList.append(accountType).append("|");
                    optionList.append(openNode);
                    optionList.append("'>");
                    optionList.append(protectAcc(accountNo, isProtected));
                    optionList.append("[").append(accountAlias).append("]");
                    optionList.append("</option>");
                }
                if (optionList.length() == 0 || optionList.equals("")) {
                    optionList.append("<option>没有您需要的卡/账号</option>");
                }
            }
            return optionList.toString();
        } catch (Exception e) {
            log(e);
            return "";
        }
    }

    public String getAccountsByType(String type) {
        StringBuffer optionList = new StringBuffer();
        try {
            boolean isProtected = isProtected();
            IndexedCollection iAccounts = (IndexedCollection) getSessionContext().get("iAccountInfo");
            for (int i = 0; i < iAccounts.size(); i++) {
                KeyedCollection kcoll = iAccounts.getElementAt(i);
                String accountType = (String) kcoll.getDataValue("session_accountType");
                if (accountType.equals(type) && !type.equals("")) {
                    String accountNo = (String) kcoll.getDataValue("session_accountNo");
                    String openNode = (String) kcoll.getDataValue("session_accountOpenNode");
                    String accountAlias = nvl((String) kcoll.getDataValue("accountAlias"), "");
                    optionList.append("<option value='");
                    optionList.append(accountNo).append("|");
                    optionList.append(accountType).append("|");
                    optionList.append(openNode);
                    optionList.append("'>");
                    optionList.append(protectAcc(accountNo, isProtected));
                    optionList.append("[").append(accountAlias).append("]");
                    optionList.append("</option>");
                }
            }
            if (optionList.length() == 0 || optionList.equals("")) {
                optionList.append("<option>没有您需要的卡/账号</option>");
            }
            return optionList.toString();
        } catch (Exception e) {
            log(e);
            return "";
        }
    }

    public String getBusinessName(String businessCode) {
        PBBusinessInfo businessInfo = PBStandard.getBusinessInfo(businessCode);
        if (businessInfo == null) {
            return businessCode;
        }
        return getDisplayAt(businessInfo.getName());
    }

    public String getButton(String buttonName, String jsFunction) {
        return "<img id=\"" + buttonName + "\" onClick=\"" + jsFunction + ";\" style=\"cursor:hand\" src=\"" + getWebAppPath() + "images/" + getUserStyle() + "/button/button_" + buttonName + ".gif\"/>";
    }

    public String getButton(String buttonName, String displayName, String jsFunction) {
        return "<input type=\"button\" class=\"button_bg\" id=\"" + buttonName + "\" value=\"" + getDisplayAt(displayName) + "\" onClick=\"" + jsFunction + "\"/>";
    }

    public String getButton(String buttonName, String displayName, String jsFunction, String otherProperties) {
        return "<input type=\"button\" class=\"button_bg\" id=\"" + buttonName + "\" value=\"" + getDisplayAt(displayName) + "\" onClick=\"" + jsFunction + "\" " + otherProperties + "/>";
    }

    public String getCSS() {
        return getCSSByName("lianav3.css");
    }

    public String getDisplayAt(String value) {
        String language;
        try {
            language = (String) getSessionContext().getDataValue("session_language");
        } catch (Exception unused) {
            language = "ZH_CN";
        }
        return LifeStandard.getResouceDisplayAt(value, language);
    }

    public String getImgPath() {
        return String.valueOf(getWebAppPath()) + "images/" + getUserStyle() + "/";
    }

    public String getUserStyle() {
        String userStyle;
        try {
            userStyle = (String) getSessionContext().get(USER_STYLE_FIELD);
        } catch (Exception unused) {
            userStyle = DEFAULT_STYLE_PATH;
        }
        if (userStyle == null || userStyle.length() == 0) {
            return DEFAULT_STYLE_PATH;
        }
        return userStyle;
    }

    public String getUserFrame() {
        String framePage = (String) getSessionContext().get(USER_FRAME_FIELD);
        if (framePage == null) {
            return DEFAULT_FRAME_PAGE;
        }
        return framePage;
    }

    /* JADX WARN: Can't fix incorrect switch cases order, some code will duplicate */
    /* JADX WARN: Code restructure failed: missing block: B:47:0x0214, code lost:
    
        if (r17 != '0') goto L50;
     */
    /* JADX WARN: Code restructure failed: missing block: B:48:0x021a, code lost:
    
        r21 = true;
        r22 = false;
        r8 = java.lang.String.valueOf(r17) + r8;
     */
    /* JADX WARN: Code restructure failed: missing block: B:50:0x0217, code lost:
    
        return "err";
     */
    /* JADX WARN: Removed duplicated region for block: B:107:0x03c6 A[SYNTHETIC] */
    /* JADX WARN: Removed duplicated region for block: B:93:0x03c9 A[Catch: Exception -> 0x0445, TRY_ENTER, TryCatch #0 {Exception -> 0x0445, blocks: (B:4:0x000e, B:6:0x0022, B:7:0x002d, B:16:0x00d6, B:18:0x00dd, B:19:0x0101, B:22:0x00ed, B:23:0x011f, B:29:0x0140, B:34:0x0160, B:36:0x017f, B:37:0x01b0, B:38:0x01bb, B:39:0x01c6, B:40:0x01d1, B:41:0x01dc, B:42:0x01e7, B:43:0x01f2, B:44:0x01fd, B:45:0x0208, B:48:0x021a, B:52:0x0234, B:54:0x0241, B:56:0x0247, B:64:0x0293, B:66:0x02d0, B:67:0x02e2, B:69:0x02eb, B:71:0x02f4, B:79:0x031a, B:80:0x0321, B:81:0x0358, B:82:0x0363, B:83:0x036e, B:84:0x0379, B:85:0x0384, B:86:0x038f, B:87:0x039a, B:88:0x03a5, B:89:0x03b0, B:93:0x03c9, B:97:0x03e8, B:103:0x040e, B:105:0x0423, B:113:0x02dc, B:114:0x042f, B:117:0x0264, B:119:0x026c, B:122:0x0274, B:123:0x027b, B:125:0x0289), top: B:3:0x000e }] */
    /*
        Code decompiled incorrectly, please refer to instructions dump.
        To view partially-correct code enable 'Show inconsistent code' option in preferences
    */
    public java.lang.String getChineseCurrency(java.lang.String r7) {
        /*
            Method dump skipped, instructions count: 1097
            To view this dump change 'Code comments level' option to 'DEBUG'
        */
        throw new UnsupportedOperationException("Method not decompiled: com.ynet.life.perplat.html.PBJspContextServices.getChineseCurrency(java.lang.String):java.lang.String");
    }

    public void subList(IndexedCollection icoll, int beginIndex, int pageShowNum) {
        if (beginIndex < 0) {
            throw new IndexOutOfBoundsException("IColl index out of range: ".concat(String.valueOf(beginIndex)));
        }
        for (int i = 0; i < beginIndex - 1; i++) {
            icoll.removeElementAt(0);
        }
        int size = icoll.size();
        for (int i2 = pageShowNum; i2 < size; i2++) {
            icoll.removeElementAt(pageShowNum);
        }
    }

    public String getShieldString(int sum, String sign) {
        StringBuffer sb = new StringBuffer();
        for (int i = 0; i < sum; i++) {
            sb.append(sign);
        }
        return sb.toString();
    }

    private String protectAcc(String accountNo) {
        if (accountNo == null || "".equals(accountNo)) {
            return accountNo;
        }
        StringBuffer sb = new StringBuffer();
        int length = accountNo.length();
        if (10 < length) {
            sb.append(accountNo.substring(0, 6));
            sb.append(getShieldString(length - 10, "*"));
            sb.append(accountNo.substring(length - 4));
            return sb.toString();
        }
        if (4 < length && length <= 10) {
            sb.append(getShieldString(length - 4, "*"));
            sb.append(accountNo.substring(length - 4));
            return sb.toString();
        }
        return accountNo;
    }

    public boolean isProtected() {
        return ACCOUNT_FLAG.equals(getSessionContext().get("session_accountProtection"));
    }

    public String protectAcc(String accountNo, boolean isProtected) {
        return isProtected ? protectAcc(accountNo) : accountNo;
    }

    public String getProtectAcc(String accountNo) {
        return protectAcc(accountNo, isProtected());
    }

    public String getFmtAcc(String accountNo) {
        if (accountNo == null || "".equals(accountNo)) {
            return accountNo;
        }
        int mel = accountNo.length() % 4;
        int num = accountNo.length() / 4;
        int num2 = mel == 0 ? num - 1 : num;
        StringBuffer sb = new StringBuffer(accountNo);
        for (int i = 1; i <= num2; i++) {
            int sit = ((i << 2) + i) - 1;
            sb.insert(sit, ',');
        }
        return sb.toString();
    }

    public String getBusinessCode() {
        return (String) getSessionContext().get("currentBusinessCode");
    }

    public String getAction() {
        return getBusinessAction(getBusinessCode());
    }

    public String getActionBusinessCode(String action) {
        return PBStandard.getActionBusinessCode(action);
    }

    public String getBusinessAction(String businessCode) {
        PBTaskInfo taskInfo = PBStandard.getTaskInfo(businessCode);
        if (taskInfo == null) {
            return businessCode;
        }
        return taskInfo.getAction();
    }

    public String getPosition() {
        String businessCode = getBusinessCode();
        if (businessCode == null) {
            return "";
        }
        StringBuffer result = new StringBuffer();
        PBTaskInfo taskInfo = PBStandard.getTaskInfo(businessCode);
        result.append("<b>").append(getBusinessName(businessCode)).append("</b>");
        TaskGroup parent = taskInfo.getParent();
        while (true) {
            TaskGroup parent2 = parent;
            if (parent2.getId() != null) {
                result.insert(0, " &gt; ").insert(0, getDisplayAt(parent2.getName()));
                parent = parent2.getParent();
            } else {
                result.insert(0, "<div class=\"current_position\">" + getDisplayAt("当前位置") + "：");
                result.append("</div>");
                return result.toString();
            }
        }
    }

    public String getMenuLocation() {
        return getMenuLocation(true);
    }

    public String getMenuLocation(boolean hasLink) {
        StringBuffer result = new StringBuffer();
        String businessCode = getBusinessCode();
        if (businessCode != null) {
            try {
                if (!"".equals(businessCode)) {
                    if (hasLink) {
                        result.append("<span class='step_menu_item'>");
                        result.append("<a href='javascript:void(0);' target='_top' onclick=\"javascript:parent.doTranDispatch('");
                        result.append(getAction());
                        result.append("')\">");
                        result.append(getBusinessName(businessCode));
                        result.append("</a></span>\r\n");
                    } else {
                        result.append("<span class='step_menu_item'>");
                        result.append(getBusinessName(businessCode));
                        result.append("</span>\r\n");
                    }
                    for (TaskGroup parent = PBStandard.getTaskInfo(businessCode).getParent(); parent.getId() != null; parent = parent.getParent()) {
                        result.insert(0, "<span class='step_menu_item'>" + parent.getName() + "</span>\r\n");
                    }
                    result.insert(0, "<div class='dqwz'>\r\n<span class='step_menu_title'>" + getDisplayAt("当前位置") + ":</span>\r\n");
                    result.append("</div>");
                }
            } catch (Exception unused) {
                return "";
            }
        }
        return result.toString();
    }

    public String getMenuLocation(String menuNameList, boolean hasLink) {
        StringBuffer menuLocationBuffer = new StringBuffer();
        try {
            menuLocationBuffer.append("<div class='dqwz'>\r\n").append("<span class='step_menu_title'>").append(getDisplayAt("当前位置")).append(":</span>\r\n");
            if (menuNameList != null && !menuNameList.matches("^[ \\| ]*$")) {
                String[] strs = menuNameList.toString().split("\\|");
                int len = strs.length;
                for (int i = 0; i < len - 1; i++) {
                    menuLocationBuffer.append("<span class='step_menu_item'>" + strs[i] + "</span>").append("\r\n");
                }
                if (hasLink) {
                    String businessCode = getBusinessCode();
                    menuLocationBuffer.append("<span class='step_menu_item' > <a href='javascript:void(0);' target='_top' onclick=\"javascript:parent.doTranDispatch('").append(getBusinessAction(businessCode)).append("')\">").append(strs[len - 1]).append("</a></span>\r\n");
                } else {
                    menuLocationBuffer.append("<span class='step_menu_item'>").append(strs[len - 1]).append("</span>\r\n");
                }
            }
            menuLocationBuffer.append("\r\n</div>");
            return menuLocationBuffer.toString();
        } catch (Exception unused) {
            return "";
        }
    }

    public String getContextStrParam(String name) {
        try {
            return (String) getContext().getDataValue(name);
        } catch (Exception unused) {
            return "";
        }
    }

    public String getNav9CSS() {
        StringBuffer sb = new StringBuffer();
        sb.append("<link href='").append(getWebAppPath()).append("css/").append(getUserStyle()).append("/nav9.css' rel='stylesheet' type='text/css' />\r\n");
        return sb.toString();
    }

    public PBJspContextServices setLabelTag(String name) {
        return setLabelTag(name, true, "");
    }

    public PBJspContextServices setLabelTag(String name, String onclick) {
        return setLabelTag(name, false, onclick);
    }

    public PBJspContextServices setLabelTag(String name, boolean isFocus, String onclick) {
        this.labelTageBuffer = this.labelTageBuffer != null ? this.labelTageBuffer : new StringBuffer();
        if (!isFocus) {
            this.labelTageBuffer.append("<div class='nav_biaoqian_button' onclick=\"").append(onclick).append("\">\r\n<div class='nav_biaoqian_left'></div>").append("\r\n <div class='nav_biaoqian_mid'>").append(name).append("</div>\r\n <div class='nav_biaoqian_right'></div>\r\n").append("</div>\r\n");
        } else {
            this.labelTageBuffer.append("<div class='nav_biaoqian_button'>\r\n").append("<div class='nav_biaoqian_lefton'></div>\r\n").append(" <div class='nav_biaoqian_midon'>").append(name).append("</div>\r\n <div class='nav_biaoqian_righton'></div>\r\n").append("</div>\r\n");
        }
        return this;
    }

    public String getLabelTageArea() {
        StringBuffer sb = new StringBuffer();
        sb.append("<div class='nav_biaoqian'>\r\n").append(this.labelTageBuffer).append("</div>");
        this.labelTageBuffer = null;
        return sb.toString();
    }

    public PBJspContextServices setStepNavItemfocus(String stepName) {
        this.stepNavItemBuffer = this.stepNavItemBuffer != null ? this.stepNavItemBuffer : new StringBuffer();
        this.stepNavItemBuffer.append("<span class='step_nav_item_focus'>").append(getDisplayAt(stepName)).append("</span>\r\n");
        return this;
    }

    public PBJspContextServices setStepNavItem(String stepName) {
        return setStepNavItem(stepName, false);
    }

    public PBJspContextServices setStepNavItem(String stepName, boolean skipped) {
        this.stepNavItemBuffer = this.stepNavItemBuffer != null ? this.stepNavItemBuffer : new StringBuffer();
        if (skipped) {
            this.stepNavItemBuffer.append("<span class='step_nav_item_skipped'>");
        } else {
            this.stepNavItemBuffer.append("<span class='step_nav_item'>");
        }
        this.stepNavItemBuffer.append(getDisplayAt(stepName)).append("</span>\r\n");
        return this;
    }

    public String getStepNavArea() {
        StringBuffer stepNavAreaBuffer = new StringBuffer();
        StringBuffer sb = new StringBuffer();
        sb.append("<span class='step_nav_title'>").append(getDisplayAt("操作流程")).append(":</span>\r\n");
        stepNavAreaBuffer.append("<div class='step_nav_area'>\r\n");
        if (this.stepNavItemBuffer != null) {
            stepNavAreaBuffer.append(sb).append(this.stepNavItemBuffer);
        }
        stepNavAreaBuffer.append("</div>");
        this.stepNavItemBuffer = null;
        return stepNavAreaBuffer.toString();
    }

    public String getCheckCodeField() {
        StringBuffer fieldVal = new StringBuffer();
        fieldVal.append("<tr><td height='22' align='right' class='result_table_title'><span class=\"notNullInput\">* </span>验证码：</td> \r\n");
        fieldVal.append("<td><div id=\"checkCodeTextTip\" class=\"tip\">&nbsp;请输入验证码</div><input type='text' id='checkCodeText' maxlength='4' value='' onfocus=\"changeClass('checkCodeTextTip','tip_on')\" onblur=\"try{validateCheckCode(this.value)}catch(e){changeClass('checkCodeTextTip','tip')}\"   style='IME-MODE: disabled;width: 55px;'/>");
        fieldVal.append("&nbsp;<img id='verifyImg' src='InsideVerifyImage.srv?update=" + System.currentTimeMillis() + "' border='0' align='middle' onclick=\"this.src='InsideVerifyImage.srv?update=' + Math.random()\"  style='cursor:pointer;' title='点击图片可刷新附加码：'/>");
        fieldVal.append("</td>\r\n </tr>");
        return fieldVal.toString();
    }

    public String getCheckCodeField(int colspan) {
        StringBuffer fieldVal = new StringBuffer();
        fieldVal.append("<tr><td height='22' align='right' class='result_table_title'><span class=\"notNullInput\">* </span>验证码：</td> \r\n");
        fieldVal.append("<td  colspan=" + colspan + "><div id=\"checkCodeTextTip\" class=\"tip\">&nbsp;请输入验证码</div><input type='text' id='checkCodeText' maxlength='4' value='' onfocus=\"changeClass('checkCodeTextTip','tip_on')\" onblur=\"try{validateCheckCode(this.value)}catch(e){changeClass('checkCodeTextTip','tip')}\"   style='IME-MODE: disabled;width: 55px;'/>");
        fieldVal.append("&nbsp;<img id='verifyImg' src='InsideVerifyImage.srv?update=" + System.currentTimeMillis() + "' border='0' align='middle' onclick=\"this.src='InsideVerifyImage.srv?update=' + Math.random()\"  style='cursor:pointer;' title='点击图片可刷新附加码：'/>");
        fieldVal.append("</td>\r\n </tr>");
        return fieldVal.toString();
    }

    public String getPureCheckCode() {
        StringBuffer fieldVal = new StringBuffer();
        fieldVal.append("<input type='text' id='checkCodeText' maxlength='4' value='' onfocus=\"changeClass('checkCodeTextTip','tip_on')\" onblur=\"try{validateCheckCode(this.value)}catch(e){changeClass('checkCodeTextTip','tip')}\" style='IME-MODE: disabled;width: 55px;'/>");
        fieldVal.append("&nbsp;<img id='verifyImg' src='InsideVerifyImage.srv?update=" + System.currentTimeMillis() + "' border='0' align='middle' onclick=\"this.src='InsideVerifyImage.srv?update=' + new Date().getTime()\"  style='cursor:pointer;' title='点击图片可刷新附加码：'/>");
        return fieldVal.toString();
    }

    public boolean isEmptyKColl(KeyedCollection kColl) {
        try {
            if (kColl.size() == 0) {
                return true;
            }
            for (int i = 0; i < kColl.size(); i++) {
                String dataValue = (String) kColl.getDataElement(i).getValue();
                if (!"".equals(dataValue) && dataValue != null) {
                    return false;
                }
            }
            return true;
        } catch (Exception unused) {
            return true;
        }
    }

    public String getYearOption(int inType, int inYear, int interval) {
        int currYear;
        StringBuffer result = new StringBuffer();
        int year = new Date().getYear() + 1900;
        if (inType == 1) {
            year = inYear;
            currYear = inYear;
        } else {
            currYear = year - inYear;
        }
        for (int i = year - interval; i <= year; i++) {
            if (i == currYear) {
                result.append("<option  selected='selected' value=\"").append(i).append("\">").append(i).append("</option>");
            } else {
                result.append("<option value=\"").append(i).append("\">").append(i).append("</option>");
            }
        }
        return result.toString();
    }

    public String getMonthOption() {
        StringBuffer result = new StringBuffer();
        int month = new Date().getMonth() + 1;
        int i = 1;
        while (i <= 12) {
            if (i == month) {
                result.append("<option selected='selected' value=\"").append(i < 10 ? "0".concat(String.valueOf(i)) : Integer.valueOf(i)).append("\">").append(i).append("</option>");
            } else {
                result.append("<option value=\"").append(i < 10 ? "0".concat(String.valueOf(i)) : Integer.valueOf(i)).append("\">").append(i).append("</option>");
            }
            i++;
        }
        return result.toString();
    }

    public String getCSSByName(String fileName) {
        String language;
        String personalStyle = "<link href=\"" + getWebAppPath() + "css/" + getUserStyle() + "/" + fileName + "\" rel=\"stylesheet\" type=\"text/css\" title=\"" + getUserStyle() + "\"/>";
        try {
            language = (String) getSessionContext().getDataValue("session_language");
        } catch (Exception unused) {
            language = "ZH_CN";
        }
        if (language == null) {
            language = "ZH_CN";
        }
        Map cssMap = LifeStandard.getAppCodeHash("CB_CSS_NAME", language);
        if (cssMap != null) {
            for (String cssName : cssMap.keySet()) {
                personalStyle = String.valueOf(personalStyle) + "<link href=\"" + getWebAppPath() + "css/" + cssName + "/" + fileName + "\" rel=\"alternate stylesheet\" type=\"text/css\" title=\"" + cssName + "\"/>";
            }
        }
        return personalStyle;
    }
}
